Get Charges
GET
/charges
const url = 'http://pay.caspeco.net/charges';const options = { method: 'GET', headers: { Location: 'http://pay.caspeco.net/v1/charges/', Host: 'pay.caspeco.net', Date: 'Tue, 15 Nov 2014 08:12:31 GMT', Digest: 'SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=', 'Content-Type': 'application/json' }, body: '{"Merchant":1,"CreatedFrom":"example","CreatedTo":"example","AmountFrom":1,"AmountTo":1,"Captured":true,"Credited":true,"PageSize":1,"Page":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://pay.caspeco.net/charges \ --header 'Content-Type: application/json' \ --header 'Date: Tue, 15 Nov 2014 08:12:31 GMT' \ --header 'Digest: SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=' \ --header 'Host: pay.caspeco.net' \ --header 'Location: http://pay.caspeco.net/v1/charges/' \ --data '{ "Merchant": 1, "CreatedFrom": "example", "CreatedTo": "example", "AmountFrom": 1, "AmountTo": 1, "Captured": true, "Credited": true, "PageSize": 1, "Page": 1 }'Returns a collection of charges given the search.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Request Body
Section titled “Request Body”Media typeapplication/json
object
Merchant
number
CreatedFrom
datetime
CreatedTo
datetime
AmountFrom
number
AmountTo
number
Captured
boolean
Credited
boolean
PageSize
number
Page
number
Examplegenerated
{ "Merchant": 1, "CreatedFrom": "example", "CreatedTo": "example", "AmountFrom": 1, "AmountTo": 1, "Captured": true, "Credited": true, "PageSize": 1, "Page": 1}Responses
Section titled “Responses”Created